#include <bits/stdc++.h>

using namespace std;

int n,x,a[20005];



int main(){
    cin>>n>>x;
    
    for (int i=1; i<=n; i++){
        cin>>a[i];
    }
    
   for (int i=1; i<=n; i++){
        if (a[i]==x){
            if (i==n){
                cout<<a[1]<<endl;
                return 0;
            }
            cout<<a[i+1]<<endl;
            
       }
    }
 
 
    return 0;
}